<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>PropertiesConfiguration (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PropertiesConfiguration (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/util/TargetBlock.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/util/PropertiesConfiguration.html" target="_top">Frames</a></li>
<li><a href="PropertiesConfiguration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.util</div>
<h2 title="Class PropertiesConfiguration" class="title">Class PropertiesConfiguration</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">com.sk89q.worldedit.LocalConfiguration</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.util.PropertiesConfiguration</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">PropertiesConfiguration</span>
extends <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a></pre>
<div class="block">Simple LocalConfiguration that loads settings using
 <code>java.util.Properties</code>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.io.File</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/PropertiesConfiguration.html#path">path</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.util.Properties</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/PropertiesConfiguration.html#properties">properties</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.sk89q.worldedit.LocalConfiguration">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.sk89q.worldedit.<a href="../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a></h3>
<code><a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#allowedDataCycleBlocks">allowedDataCycleBlocks</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#allowSymlinks">allowSymlinks</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#butcherDefaultRadius">butcherDefaultRadius</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#butcherMaxRadius">butcherMaxRadius</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#calculationTimeout">calculationTimeout</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#defaultChangeLimit">defaultChangeLimit</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#defaultMaxPolygonalPoints">defaultMaxPolygonalPoints</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#defaultMaxPolyhedronPoints">defaultMaxPolyhedronPoints</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#disallowedBlocks">disallowedBlocks</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#logCommands">logCommands</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#logFile">logFile</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#logFormat">logFormat</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#maxBrushRadius">maxBrushRadius</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#maxCalculationTimeout">maxCalculationTimeout</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#maxChangeLimit">maxChangeLimit</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#maxPolygonalPoints">maxPolygonalPoints</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#maxPolyhedronPoints">maxPolyhedronPoints</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#maxRadius">maxRadius</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#maxSuperPickaxeSize">maxSuperPickaxeSize</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#navigationUseGlass">navigationUseGlass</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#navigationWand">navigationWand</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#navigationWandMaxDistance">navigationWandMaxDistance</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#profile">profile</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#registerHelp">registerHelp</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#saveDir">saveDir</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#scriptsDir">scriptsDir</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#scriptTimeout">scriptTimeout</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#serverSideCUI">serverSideCUI</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#shellSaveType">shellSaveType</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#showHelpInfo">showHelpInfo</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#snapshotRepo">snapshotRepo</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#superPickaxeDrop">superPickaxeDrop</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#superPickaxeManyDrop">superPickaxeManyDrop</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#traceUnflushedSessions">traceUnflushedSessions</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#useInventory">useInventory</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#useInventoryCreativeOverride">useInventoryCreativeOverride</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#useInventoryOverride">useInventoryOverride</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#wandItem">wandItem</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/PropertiesConfiguration.html#PropertiesConfiguration-java.io.File-">PropertiesConfiguration</a></span>(java.io.File&nbsp;path)</code>
<div class="block">Construct the object.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/PropertiesConfiguration.html#getBool-java.lang.String-boolean-">getBool</a></span>(java.lang.String&nbsp;key,
       boolean&nbsp;def)</code>
<div class="block">Get a boolean value.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/PropertiesConfiguration.html#getDouble-java.lang.String-double-">getDouble</a></span>(java.lang.String&nbsp;key,
         double&nbsp;def)</code>
<div class="block">Get a double value.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/PropertiesConfiguration.html#getInt-java.lang.String-int-">getInt</a></span>(java.lang.String&nbsp;key,
      int&nbsp;def)</code>
<div class="block">Get an integer value.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected java.util.Set&lt;java.lang.Integer&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/PropertiesConfiguration.html#getIntSet-java.lang.String-int:A-">getIntSet</a></span>(java.lang.String&nbsp;key,
         int[]&nbsp;def)</code>
<div class="block">Get a double value.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/PropertiesConfiguration.html#getString-java.lang.String-java.lang.String-">getString</a></span>(java.lang.String&nbsp;key,
         java.lang.String&nbsp;def)</code>
<div class="block">Get a string value.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected java.util.Set&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/PropertiesConfiguration.html#getStringSet-java.lang.String-java.lang.String:A-">getStringSet</a></span>(java.lang.String&nbsp;key,
            java.lang.String[]&nbsp;def)</code>
<div class="block">Get a String set.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/PropertiesConfiguration.html#load--">load</a></span>()</code>
<div class="block">Load the configuration.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/PropertiesConfiguration.html#loadExtra--">loadExtra</a></span>()</code>
<div class="block">Called to load extra configuration.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.LocalConfiguration">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.<a href="../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a></h3>
<code><a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#convertLegacyItem-java.lang.String-">convertLegacyItem</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#getDefaultDisallowedBlocks--">getDefaultDisallowedBlocks</a>, <a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#getWorkingDirectory--">getWorkingDirectory</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="properties">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>properties</h4>
<pre>protected&nbsp;java.util.Properties properties</pre>
</li>
</ul>
<a name="path">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>path</h4>
<pre>protected&nbsp;java.io.File path</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PropertiesConfiguration-java.io.File-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PropertiesConfiguration</h4>
<pre>public&nbsp;PropertiesConfiguration(java.io.File&nbsp;path)</pre>
<div class="block">Construct the object. The configuration isn't loaded yet.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - the path tot he configuration</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="load--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>load</h4>
<pre>public&nbsp;void&nbsp;load()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#load--">LocalConfiguration</a></code></span></div>
<div class="block">Load the configuration.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/LocalConfiguration.html#load--">load</a></code>&nbsp;in class&nbsp;<code><a href="../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a></code></dd>
</dl>
</li>
</ul>
<a name="loadExtra--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadExtra</h4>
<pre>protected&nbsp;void&nbsp;loadExtra()</pre>
<div class="block">Called to load extra configuration.</div>
</li>
</ul>
<a name="getString-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getString</h4>
<pre>protected&nbsp;java.lang.String&nbsp;getString(java.lang.String&nbsp;key,
                                     java.lang.String&nbsp;def)</pre>
<div class="block">Get a string value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dd><code>def</code> - the default value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value</dd>
</dl>
</li>
</ul>
<a name="getBool-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBool</h4>
<pre>protected&nbsp;boolean&nbsp;getBool(java.lang.String&nbsp;key,
                          boolean&nbsp;def)</pre>
<div class="block">Get a boolean value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dd><code>def</code> - the default value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value</dd>
</dl>
</li>
</ul>
<a name="getInt-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInt</h4>
<pre>protected&nbsp;int&nbsp;getInt(java.lang.String&nbsp;key,
                     int&nbsp;def)</pre>
<div class="block">Get an integer value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dd><code>def</code> - the default value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value</dd>
</dl>
</li>
</ul>
<a name="getDouble-java.lang.String-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDouble</h4>
<pre>protected&nbsp;double&nbsp;getDouble(java.lang.String&nbsp;key,
                           double&nbsp;def)</pre>
<div class="block">Get a double value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dd><code>def</code> - the default value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value</dd>
</dl>
</li>
</ul>
<a name="getIntSet-java.lang.String-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIntSet</h4>
<pre>protected&nbsp;java.util.Set&lt;java.lang.Integer&gt;&nbsp;getIntSet(java.lang.String&nbsp;key,
                                                     int[]&nbsp;def)</pre>
<div class="block">Get a double value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dd><code>def</code> - the default value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value</dd>
</dl>
</li>
</ul>
<a name="getStringSet-java.lang.String-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getStringSet</h4>
<pre>protected&nbsp;java.util.Set&lt;java.lang.String&gt;&nbsp;getStringSet(java.lang.String&nbsp;key,
                                                       java.lang.String[]&nbsp;def)</pre>
<div class="block">Get a String set.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dd><code>def</code> - the default value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/util/TargetBlock.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/util/PropertiesConfiguration.html" target="_top">Frames</a></li>
<li><a href="PropertiesConfiguration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
